import { APIClient } from "../ApiClient";

/**
 * Data management api client
 */
export class DataApi {
  /**
   * Export the data of a family
   */
  static async ExportData(family_id: number): Promise<Blob> {
    const res = await APIClient.exec({
      uri: `/family/${family_id}/genealogy/data/export`,
      method: "GET",
    });
    return res.data;
  }

  /**
   * Import the data of a family
   */
  static async ImportData(family_id: number, archive: Blob): Promise<Blob> {
    const fd = new FormData();
    fd.append("archive", archive);
    const res = await APIClient.exec({
      uri: `/family/${family_id}/genealogy/data/import`,
      method: "PUT",
      formData: fd,
    });
    return res.data;
  }
}
